# WOK
TKWOK
MS

# MS_Method Class Reference

`#include <MS_Method.hxx>`

Inheritance diagram for MS_Method:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | CreateFullName ()
Standard_EXPORT void | Params (const Handle(MS_HSequenceOfParam)&params)
Standard_EXPORT Handle_MS_HArray1OfParam | Params () const
Standard_EXPORT void | Private (const Standard_Boolean aPrivate)
Standard_EXPORT Standard_Boolean | Private () const
Standard_EXPORT void | Returns (const Handle(MS_Param)&aParam)
Standard_EXPORT Handle_MS_Param | Returns () const
virtual Standard_EXPORT void | Raises (const Handle(TCollection_HAsciiString)&aExcept)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | GetRaisesName () const
Standard_EXPORT void | Inline (const Standard_Boolean anInline)
Standard_EXPORT Standard_Boolean | IsInline () const
Standard_EXPORT void | ConstReturn (const Standard_Boolean aConst)
Standard_EXPORT Standard_Boolean | IsConstReturn () const
Standard_EXPORT void | Alias (const Handle(TCollection_HAsciiString)&anAlias)
Standard_EXPORT Handle_TCollection_HAsciiString | IsAlias () const
Standard_EXPORT void | SetAliasType (const Standard_Boolean aType)
Standard_EXPORT Handle_TCollection_HAsciiString | Comment () const
Standard_EXPORT void | SetComment (const Handle(TCollection_HAsciiString)&aComment)
Standard_EXPORT Standard_Boolean | IsOperator () const
Standard_EXPORT Standard_Boolean | IsQuotedAlias () const
Standard_EXPORT void | RefReturn (const Standard_Boolean aRef)
Standard_EXPORT Standard_Boolean | IsRefReturn () const
Standard_EXPORT void | Destructor (const Standard_Boolean aDestructor)
Standard_EXPORT Standard_Boolean | IsDestructor () const
Standard_EXPORT void | FunctionCall (const Standard_Boolean aFunctionCall)
Standard_EXPORT Standard_Boolean | IsFunctionCall () const
Standard_EXPORT Standard_Boolean | IsSameSignature (const Handle(TCollection_HAsciiString)&aMetName) const
Standard_EXPORT void | PtrReturn (const Standard_Boolean aRef)
Standard_EXPORT Standard_Boolean | IsPtrReturn () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | MS_Method (const Handle(TCollection_HAsciiString)&aName)

## Private Attributes

Handle_MS_HArray1OfParam | myParam
Standard_Integer | myAttribute
Handle_MS_Param | myReturns
Handle_TColStd_HSequenceOfHAsciiString | myRaises
Handle_TCollection_HAsciiString | myAlias
Handle_TCollection_HAsciiString | myComment

## Constructor & Destructor Documentation

Standard_EXPORT MS_Method::MS_Method | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT void MS_Method::Alias | ( | const Handle(TCollection_HAsciiString)& | anAlias | ) |

Standard_EXPORT Handle_TCollection_HAsciiString MS_Method::Comment | ( |  | ) | const

Standard_EXPORT void MS_Method::ConstReturn | ( | const Standard_Boolean | aConst | ) |

virtual Standard_EXPORT void MS_Method::CreateFullName | ( |  | ) | `[virtual]`

| Reimplemented in MS_ExternMet, and MS_MemberMet.

Standard_EXPORT void MS_Method::Destructor | ( | const Standard_Boolean | aDestructor | ) |

Standard_EXPORT void MS_Method::FunctionCall | ( | const Standard_Boolean | aFunctionCall | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString MS_Method::GetRaisesName | ( |  | ) | const

Standard_EXPORT const MS_Method::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_Common. Reimplemented in MS_ClassMet, MS_Construc, MS_ExternMet, MS_InstMet, and MS_MemberMet.

Standard_EXPORT void MS_Method::Inline | ( | const Standard_Boolean | anInline | ) |

Standard_EXPORT Handle_TCollection_HAsciiString MS_Method::IsAlias | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_Method::IsConstReturn | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_Method::IsDestructor | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_Method::IsFunctionCall | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_Method::IsInline | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_Method::IsOperator | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_Method::IsPtrReturn | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_Method::IsQuotedAlias | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_Method::IsRefReturn | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_Method::IsSameSignature | ( | const Handle(TCollection_HAsciiString)& | aMetName | ) | const

Standard_EXPORT Handle_MS_HArray1OfParam MS_Method::Params | ( |  | ) | const

Standard_EXPORT void MS_Method::Params | ( | const Handle(MS_HSequenceOfParam)& | params | ) |

Standard_EXPORT Standard_Boolean MS_Method::Private | ( |  | ) | const

Standard_EXPORT void MS_Method::Private | ( | const Standard_Boolean | aPrivate | ) |

Standard_EXPORT void MS_Method::PtrReturn | ( | const Standard_Boolean | aRef | ) |

virtual Standard_EXPORT void MS_Method::Raises | ( | const Handle(TCollection_HAsciiString)& | aExcept | ) | `[virtual]`

| Reimplemented in MS_ExternMet, and MS_MemberMet.

Standard_EXPORT void MS_Method::RefReturn | ( | const Standard_Boolean | aRef | ) |

Standard_EXPORT Handle_MS_Param MS_Method::Returns | ( |  | ) | const

Standard_EXPORT void MS_Method::Returns | ( | const Handle(MS_Param)& | aParam | ) |

Standard_EXPORT void MS_Method::SetAliasType | ( | const Standard_Boolean | aType | ) |

Standard_EXPORT void MS_Method::SetComment | ( | const Handle(TCollection_HAsciiString)& | aComment | ) |

## Field Documentation

Handle_TCollection_HAsciiString MS_Method::myAlias `[private]`

Standard_Integer MS_Method::myAttribute `[private]`

Handle_TCollection_HAsciiString MS_Method::myComment `[private]`

Handle_MS_HArray1OfParam MS_Method::myParam `[private]`

Handle_TColStd_HSequenceOfHAsciiString MS_Method::myRaises `[private]`

Handle_MS_Param MS_Method::myReturns `[private]`

The documentation for this class was generated from the following file:

- MS_Method.hxx